sequence.sequenceinterface

## Interface Stack

- All Superinterfaces:
    BaseSequence, CommonBase
  All Known Implementing Classes:
    RealStack

      public interface Stack
      extends BaseSequence

  Specifikace zásobníku.

  Popis: interface zásobníku

  Užití: deklarujte proměnné, implementujte třídou

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `pop()` Vyjme vrchní prvek ze zásobníku.
    `void` | `push(Element elem)` Vloží nový prvek do zásobníku.
    `Element` | `top()` Ukáže vrchní prvek na zásobníku a nechá jej tam.

    - ### Methods inherited from interface sequence.sequenceinterface.BaseSequence

      `getCount, isEmpty, isFull`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Method Detail

    - #### top

          Element top()

      Ukáže vrchní prvek na zásobníku a nechá jej tam.

      Popis: Ukáže vrchní prvek na zásobníku a nechá jej tam. Vrch zásobníku je implementován hlavou seznamu.

      Užití: typ výsledku se řídí specializací typu Element.

      Vyžaduje: not isEmpty

      Returns:
        prvek, který je uložen na vrchu zásobníku

    - #### pop

          Element pop()

      Vyjme vrchní prvek ze zásobníku.

      Popis: Vyjme prvek z vrchu zásobníku. Vrch zásobníku je implementován hlavou seznamu.

      Užití: typ výsledku se řídí specializací typu Element.

      Vyžaduje: not isEmpty

      Splní: not isFull

      Mění: vyjme vršek zásobníku

      Returns:
        prvek, který byl uložen na vrchu zásobníku

    - #### push

          void push(Element elem)

      Vloží nový prvek do zásobníku.

      Popis: Uloží nový prvek na vrchol zásobníku. Vrchol zásobníku je ten prvek pole, jehož index je obsažen v proměnné head.

      Užití: typ parametru se řídí specializací typu Element.

      Vyžaduje: not isFull

      Splní: not isEmpty

      Mění: přidá elem na vršek zásobníku

      Parameters:
        `elem` - prvek, který má být uložen na vrchol zásobníku